"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const extractNamespaceFromKey = (entry, separator = ':') => {
    if (!entry.ns && entry.key.includes(separator)) {
        const [ns, ...keyArray] = entry.key.split(separator);
        entry.key = keyArray.join(separator);
        entry.ns = ns;
    }
};
exports.default = extractNamespaceFromKey;
