"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pluralKeys = [
    '_zero',
    '_one',
    '_two',
    '_few',
    '_many',
    '_other'
];
const getPluralKeys = (key) => {
    const keys = [];
    for (const item of pluralKeys) {
        keys.push(key + item);
    }
    for (let i = 0; i < 1000; i++) {
        keys.push(key + '_' + i);
    }
    return keys;
};
exports.default = getPluralKeys;
