"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const ts = __importStar(require("typescript"));
const spreadOptionsToEntry = (entry, expression, fallback = (property) => '') => {
    entry.options = {};
    if (expression.kind === ts.SyntaxKind.ObjectLiteralExpression) {
        for (const property of expression.properties) {
            if (property.kind === ts.SyntaxKind.SpreadAssignment) {
                throw new Error(`Options argument is a spread operator : ${property.expression.text}`);
            }
            else if (property.initializer) {
                const initializer = property.initializer.expression || property.initializer;
                if (initializer.kind === ts.SyntaxKind.TrueKeyword) {
                    entry.options[property.name.text] = true;
                }
                else if (initializer.kind === ts.SyntaxKind.FalseKeyword) {
                    entry.options[property.name.text] = false;
                }
                else if (initializer.kind === ts.SyntaxKind.NumericLiteral) {
                    entry.options[property.name.text] = parseFloat(initializer.text);
                }
                else {
                    entry.options[property.name.text] = initializer.text || fallback(property);
                }
            }
            else {
                entry.options[property.name.text] = '' || fallback(property);
            }
            if (property.name.text === 'count') {
                entry.isPlural = true;
            }
        }
    }
    if (Object.keys(entry.options).length === 0) {
        delete entry.options;
    }
};
exports.default = spreadOptionsToEntry;
