"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const flattenObject = (ob, separator = '.') => {
    let toReturn = {};
    for (let i in ob) {
        if (!ob.hasOwnProperty(i)) {
            continue;
        }
        if ((typeof ob[i]) == 'object' && ob[i] !== null) {
            const flatObject = flattenObject(ob[i], separator);
            for (let x in flatObject) {
                if (!flatObject.hasOwnProperty(x)) {
                    continue;
                }
                toReturn[i + separator + x] = flatObject[x];
            }
        }
        else {
            toReturn[i] = ob[i];
        }
    }
    return toReturn;
};
exports.default = flattenObject;
